Skip to main content
POST
/
api
/
activities
/
{activity_id}
/
complete
Complete an activity
curl --request POST \
  --url https://api.morphic.io/api/activities/{activity_id}/complete \
  --header 'X-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "type": "<string>",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subject": "<string>",
  "description": "<string>",
  "priority": "<string>",
  "status": "<string>",
  "duration_minutes": 1,
  "due_date": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "outcome": "<string>",
  "entity_type": "<string>",
  "entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": {},
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_name": "<string>",
  "user_email": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key (sk_xxx) from Developer Settings. No X-Account-ID needed.

Headers

x-account-id
string | null

Path Parameters

activity_id
string<uuid>
required

Query Parameters

outcome
string

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
type
string
required

Activity type (email, meeting, call, note, task, stage_change, etc.)

account_id
string<uuid>
required
subject
string | null
Maximum string length: 255
description
string | null
priority
string | null
status
string | null
duration_minutes
integer | null
Required range: x >= 0
due_date
string<date-time> | null
completed_at
string<date-time> | null
outcome
string | null
entity_type
string | null

Primary entity type this activity is linked to

entity_id
string<uuid> | null

Primary entity ID this activity is linked to

contact_id
string<uuid> | null
company_id
string<uuid> | null
deal_id
string<uuid> | null
metadata
Metadata · object
user_id
string<uuid> | null
user_name
string | null

User's name or email

user_email
string | null

User's email address